
.content-login {
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;      
    background-color: var(--color-two);     
}

.login {
    max-width: 330px;
    width: 90%;
    margin: auto;
}

.login-info {
    font-size: 1.2rem;
    margin-top: .7em;
}

.login-title {
    font-size: 3.5rem;
    font-weight: 700;
}

.login-form {
    width: 100%;
    margin-top: 1.5em;
}

.login-form__input {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    margin: 1em 0;
    position: relative;
}
.login-form__input label {
    font-size: 1.35rem;
    margin-bottom: .3em;
    color: var(--color-one);
    font-weight: 600;
}

.login-form__input input {
    border: 1px solid var(--color-three);
    border-radius: 5px;
    display: block;
    width: -webkit-fill-available;
    padding: .5em .3em;
    cursor: pointer;
}

.login-form__input input:focus {
    outline: none;
    box-shadow: 0 0 2px 2px rgba(97, 97, 97, 0.452);
    border: 1px solid var(--color-one);
}

.login-form__input input:hover {
    border: 1px solid var(--color-one);
}

.login-form form button {
    width: 100%;
    border: none;
    padding: .7em 1em;
    border-radius: 5px;
    font-weight: 700;
    transition: box-shadow .2s ease-in-out;
    margin-top: 1em;
    margin-bottom: 1em;
    background-image: linear-gradient(to right, rgb(1 134 218), rgb(182 49 167));
    color: rgba(256, 256, 256);
    cursor: pointer;
}

.login-form form button:hover {

    box-shadow: rgba(205,205,205, 0.5) 0px 0px 20px 0px;
}

.login-redirect {
    width: 80%;
    text-align: center;
    margin: auto;
    margin-top: 1.5em;
    border-top: 1px solid var(--color-three);
}

.login-redirect p {
    color: var(--color-three);
    font-size: 1.2rem;
}

.login-redirect a {
    font-size: 1.35rem;
    color: var(--color-one);
    text-decoration: none;
    font-weight: 500;
}

.login-redirect a:hover {
    text-decoration: underline;
}

.login-image {
    display: none;
}

.login-image__message {
    display: none;
}

/* register next form button  */
.register-next {
    color: var(--color-one);
    border-radius: 50%;
    font-weight: 500;
    width: 2em;
    height: 2em;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 2rem;
    cursor: pointer;
    margin-top: 1em;
    margin-left: auto;
    transition: background-color, color 1s ease;
}

.register-next:hover {
    transform: scale(1.02);
    color: var(--color-one);
}

.register-next:active {
    transform: scale(1);
}

@media(min-width: 768px) {

    .login-image {
        display: block;
        width: 50%;
        height: 100%;
        background-image: url('../../assets/auth/login.jpg');
        background-size: cover;
        background-position: center;
        background-repeat: no-repeat;
        position: relative;
    }
    .login-image__message {
        display: flex;
        position: absolute;
        font-size: 2.5rem;
        width: 80%;
        color: var(--color-two);
        transform: translate(-50%, -50%);
        top: 80%;
        left: 50%;
        background-color: rgba(255, 255, 255, 0.3);
        backdrop-filter: blur(3px);
        padding: 1em;
        align-items: center;
        justify-content: center;
        font-weight: 700;
        border-radius: 4px;
    }

}

@media(min-width: 992px) {
    .login-image {
        width: 60%;
    }
}

@media(min-width: 1200px) {
    .login-image {
        width: 55%;
    }
}